//
//  SearchResponse.swift
//  SodaLive
//
//  Created by klaus on 3/27/25.
//

struct SearchUnifiedResponse: Decodable {
    let creatorList: [SearchResponseItem]
    let contentList: [SearchResponseItem]
    let seriesList: [SearchResponseItem]
}

struct SearchResponse: Decodable {
    let totalCount: Int
    let items: [SearchResponseItem]
}

struct SearchResponseItem: Decodable {
    let id: Int
    let imageUrl: String
    let title: String
    let nickname: String
    let type: SearchResponseType
}

enum SearchResponseType: String, Decodable {
    case CREATOR, CONTENT, SERIES
}
